Skip to content

WireOutCmtCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireOutCmtCodeSelectFields⁠

POST

Execute the persistent ParameterService getWireOutCmtCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireOutCmtCodeSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireOutCmtCodeSelectFields
POST /nexum/627/persistent/parameter/getWireOutCmtCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WireOutCmtCodeSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireOutCmtCodeFields": true,
    "WireOutCmtCodeFields": {
      "CorporateCommCode": true,
      "MatchBusFunctionCode": true,
      "MatchTypeCode": true,
      "MatchWireType": true,
      "MemberCommentCode": true,
      "Selection": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireOutCmtCodePagedListSelectFields⁠

POST

Execute the persistent ParameterService getWireOutCmtCodePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireOutCmtCodePagedListSelectFields
POST /nexum/627/persistent/parameter/getWireOutCmtCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireOutCmtCodeFields": true,
    "WireOutCmtCodeFields": {
      "CorporateCommCode": true,
      "MatchBusFunctionCode": true,
      "MatchTypeCode": true,
      "MatchWireType": true,
      "MemberCommentCode": true,
      "Selection": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireOutCmtCodePagedSelectFields⁠

POST

Execute the persistent ParameterService searchWireOutCmtCodePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchWireOutCmtCodePagedSelectFields
POST /nexum/627/persistent/parameter/searchWireOutCmtCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireOutCmtCodeFields": true,
    "WireOutCmtCodeFields": {
      "CorporateCommCode": true,
      "MatchBusFunctionCode": true,
      "MatchTypeCode": true,
      "MatchWireType": true,
      "MemberCommentCode": true,
      "Selection": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireOutCmtCodeByID⁠

POST

Execute the persistent ParameterService updateWireOutCmtCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireOutCmtCodeSelectionintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireOutCmtCodeByID
POST /nexum/627/persistent/parameter/updateWireOutCmtCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "WireOutCmtCodeSelection": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireOutCmtCodeFields": {
    "CorporateCommCode": 0,
    "MatchBusFunctionCode": "string",
    "MatchTypeCode": "string",
    "MatchWireType": 0,
    "MemberCommentCode": 0,
    "Selection": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}